<div class="loading" *ngIf='status_loading'>Loading&#8230;</div>
<div [ngStyle]="{'display': template_manage.caaStatus === 'show' ? 'none' : '' }">
  <div class="d-flex bd-highlight">
    <div class="p-2 w-100 bd-highlight">
      <div>
        <a class="pps-header" style="font-size: 28px;">รูปแบบผลิตภัณฑ์ - Non-Credit อื่นๆ</a>
      </div>
      <p class="pps-header_th">
        เพิ่มรายละเอียดเกี่ยวกับรูปแบบผลิตภัณฑ์ตามหัวข้อด้านล่าง
      </p>
    </div>
    <div class="p-2 flex-shrink-1 bd-highlight"
      *ngIf="(stepThreeOther['validate'] === null || stepThreeOther['validate'] === true) && template_manage.pageShow !== 'executive'">
      <button type="button" class="btn btn-primary saveDraft" (click)="saveDraft()">
        บันทึกร่างใบคำขอ
      </button>
    </div>
  </div>
  <div class="alert alert-success" role="alert" [ngStyle]="{'display': saveDraftstatus !== 'success' ? 'none' : '' }">
    <a class="alert-detail"><img src="../../../../../assets/img/checkmark.png" class="icon_checkmark">
      บันทึกร่างใบคำขอเรียบร้อย</a>
  </div>
</div>


<!-- -------------------------------------------------next button ---------------------------------------- -->
<div [ngStyle]="{'display': template_manage.caaStatus === 'show' ? 'none' : '' }">
  <div class="row">
    <div class="col-md-12">
      <div (click)="next_step('back')" class="button-next pull-left" *ngIf="checkLocal !== '0' && checkLocal !== 'A'">
        &lt; ย้อนกลับ
      </div>
      <div (click)="next_step('next')" class="button-next pull-right"
        [ngClass]="{'button-next-non': pageLast === 'last'}">
        รูปแบบผลิตภัณฑ์หน้าถัดไป &gt;
      </div>
    </div>
    <br />
  </div>
</div>


<!------------------------------------------------- validate === true ------------------------------------------------>
<div style="padding-left: 10px;"
  *ngIf="(stepThreeOther['validate'] === null || stepThreeOther['validate'] === true) && template_manage.pageShow !== 'executive'">
  <!-- ----------------------------------------- ประเภทผลิตภัณฑ์ -------------------------------------------------- -->
  <div class="row">
    <div class="col-12">
      <p class="head-detal">ประเภทผลิตภัณฑ์</p>
    </div>
    <div class="mainText">
      <div class="textarea-container">
        <!-- 
        <div placeholder="ระบุรายละเอียดวัตถุประสงค์ของผลิตภัณฑ์ " contenteditable="true"
        [innerHTML]="this.textareaForm.get('productText').value"
        style="min-height: 120px; max-width: auto; padding-top: 7px;" id="productText"
        (ngModelChange)="changeSaveDraft()"></div> -->
        <textarea
          style="resize: vertical; border:none;width:100%;outline: 0px solid transparent;font-size:16px;color:#2e2d2d"
          (keyup)="autogrow(1)" rows="5" (click)="autogrow(1)" type="text" id="productText"
          [(ngModel)]="stepThreeOther.productText" (ngModelChange)="changeSaveDraft()" #description="ngModel"
          name="productText" required></textarea>
        <div style="position: relative;">
          <div class="image_row">
            <div class="row image_col">
              <div class="unnon_image_out" *ngFor="let item of image1; index as i">
                <img src="../../../../../assets/img/circle-icon.png" class="circle_image" (click)="delete_image(1, i )">
                <div class="unnon_image">
                  <img [src]="image1[i]" alt="{{stepThreeOther.product.file[i].fileName}}"
                    title="{{stepThreeOther.product.file[i].fileName}}" class="photo" (click)="image_click(1, i )">
                </div>
              </div>

              <div class="non_image">
                <input type="file" class="form-control non_image_fileDrop" #fileDropRef id="myfile" name="myfile"
                  multiple (change)="getFileDetails(1, $event)" [(ngModel)]="file1_2" accept=".jpg,.png">
                <label class="form-control non_image_text" for="fileDropRef"><img
                    src="../../../../../assets/img/add-icon-pass.svg" class="icon_add"></label>

              </div>
            </div>
          </div>

          <div class="input_upload">
            <input type="file" class="form-control fileDrop" #fileDropRef id="myfile" name="myfile" multiple
              (change)="getFileDetails(1, $event)" [(ngModel)]="file1_1" accept=".jpg,.png" style="width: 526px">
            <label class="form-control input_upload_label" for="fileDropRef"><img
                src="../../../../../assets/img/upload-icon.png" style="margin-bottom: 5px;">
              เลือกรูปภาพที่ต้องการอัปโหลดหรือลากและวางไฟล์รูปภาพที่นี่</label>
          </div>
        </div>

        <!-- <textarea class="form-control" id="exampleFormControlTextarea1" rows="enter"
          placeholder="ระบุรายละเอียดประเภทผลิตภัณฑ์" style="height: 261px;" [(ngModel)]="stepThreeOther.productText"
          (ngModelChange)="changeSaveDraft()">
        </textarea> -->
      </div>
    </div>

  </div>
  <br>

  <!-- ----------------------------------------- คู่แข่ง (ผลิตภัณฑ์และ Pricing) -------------------------------------------------- -->
  <div class="row">
    <div class="col-12">
      <p class="head-detal">กลุ่มเป้าหมาย</p>
    </div>
    <div class="mainText">
      <div class="textarea-container">

        <!-- <div placeholder="ระบุรายละเอียดวัตถุประสงค์ของผลิตภัณฑ์ " contenteditable="true"
        [innerHTML]="this.textareaForm.get('targetText').value"
        style="min-height: 120px; max-width: auto; padding-top: 7px;" id="targetText"
        (ngModelChange)="changeSaveDraft()"></div> -->
        <textarea
          style="resize: vertical; border:none;width:100%;outline: 0px solid transparent;font-size:16px;color:#2e2d2d"
          (keyup)="autogrow(2)" rows="5" (click)="autogrow(2)" type="text" id="targetText"
          [(ngModel)]="stepThreeOther.targetText" (ngModelChange)="changeSaveDraft()" #description="ngModel"
          name="targetText" required></textarea>
        <div style="position: relative;">

          <div class="image_row">
            <div class="row image_col">
              <div class="unnon_image_out" *ngFor="let item of image2; index as i">
                <img src="../../../../../assets/img/circle-icon.png" class="circle_image" (click)="delete_image(2, i )">
                <div class="unnon_image">
                  <img [src]="image2[i]" alt="{{stepThreeOther.target.file[i].fileName}}"
                    title="{{stepThreeOther.target.file[i].fileName}}" class="photo" (click)="image_click(2, i )">
                </div>
              </div>

              <div class="non_image">
                <input type="file" class="form-control non_image_fileDrop" #fileDropRef id="myfile" name="myfile"
                  multiple (change)="getFileDetails(2, $event)" [(ngModel)]="file2_2" accept=".jpg,.png">
                <label class="form-control non_image_text" for="fileDropRef"><img
                    src="../../../../../assets/img/add-icon-pass.svg" class="icon_add"></label>

              </div>
            </div>
          </div>


          <div class="input_upload">
            <input type="file" class="form-control fileDrop" #fileDropRef id="myfile" name="myfile" multiple
              (change)="getFileDetails(2, $event)" [(ngModel)]="file2_1" accept=".jpg,.png" style="width: 526px">
            <label class="form-control input_upload_label" for="fileDropRef"><img
                src="../../../../../assets/img/upload-icon.png" style="margin-bottom: 5px;">
              เลือกรูปภาพที่ต้องการอัปโหลดหรือลากและวางไฟล์รูปภาพที่นี่</label>
          </div>

        </div>
        <!-- <textarea class="form-control" id="exampleFormControlTextarea2" rows="enter"
          placeholder="ระบุรายละเอียดกลุ่มเป้าหมาย" style="height: 261px;" [(ngModel)]="stepThreeOther.targetText"
          (ngModelChange)="changeSaveDraft()">
        </textarea> -->
      </div>
    </div>

  </div>
  <br>

  <!-- ----------------------------------------- คุณสมบัติลูกค้า -------------------------------------------------- -->
  <div class="row">
    <div class="col-12">
      <p class="head-detal">คุณสมบัติลูกค้า</p>
    </div>
    <div class="mainText">
      <div class="textarea-container">
        <!-- <div class="input_upload">
          <input type="file" class="form-control fileDrop" #fileDropRef id="myfile" name="myfile" multiple
            (change)="getFileDetails(3, $event)" [(ngModel)]="file3_1">
          <label class="form-control input_upload_label" for="fileDropRef"><img
              src="../../../../../assets/img/upload-icon.png" style="margin-bottom: 5px;">
            เลือกรูปภาพที่ต้องการอัปโหลดหรือลากและวางไฟล์รูปภาพที่นี่</label>
        </div>

        <div class="image_row">
          <div class="row image_col">
            <div class="unnon_image_out" *ngFor="let item of image3; index as i">
              <img src="../../../../../assets/img/circle-icon.png" class="circle_image" (click)="delete_image(3, i )">
              <div class="unnon_image">
                <img [src]="image3[i]" alt="{{stepThreeOther.property.file[i].fileName}}"
                  title="{{stepThreeOther.property.file[i].fileName}}" class="photo" (click)="image_click(3, i )">
              </div>
            </div>

            <div class="non_image" [ngStyle]="{'display': (!(image3.length > 0)) ? 'none' : '' }">
              <input type="file" class="form-control non_image_fileDrop" #fileDropRef id="myfile" name="myfile" multiple
                (change)="getFileDetails(3, $event)" [(ngModel)]="file3_2">
              <label class="form-control non_image_text" for="fileDropRef"><img
                  src="../../../../../assets/img/add-icon-pass.svg" class="icon_add"></label>

            </div>
          </div>
        </div>
        <textarea class="form-control" id="exampleFormControlTextarea3" rows="enter"
          placeholder="ระบุรายละเอียดคุณสมบัติลูกค้า" style="height: 261px;" [(ngModel)]="stepThreeOther.propertyText"
          (ngModelChange)="changeSaveDraft()">
        </textarea> -->

        <!-- <div placeholder="ระบุรายละเอียดวัตถุประสงค์ของผลิตภัณฑ์ " contenteditable="true"
        [innerHTML]="this.textareaForm.get('propertyText').value"
        style="min-height: 120px; max-width: auto; padding-top: 7px;" id="propertyText"
        (ngModelChange)="changeSaveDraft()"></div> -->

        <textarea
          style="resize: vertical; border:none;width:100%;outline: 0px solid transparent;font-size:16px;color:#2e2d2d"
          (keyup)="autogrow(3)" rows="5" (click)="autogrow(3)" type="text" id="propertyText"
          [(ngModel)]="stepThreeOther.propertyText" (ngModelChange)="changeSaveDraft()" #description="ngModel"
          name="propertyText" required></textarea>
        <div style="position: relative;">

          <div class="image_row">
            <div class="row image_col">
              <div class="unnon_image_out" *ngFor="let item of image3; index as i">
                <img src="../../../../../assets/img/circle-icon.png" class="circle_image" (click)="delete_image(3, i )">
                <div class="unnon_image">
                  <img [src]="image3[i]" alt="{{stepThreeOther.property.file[i].fileName}}"
                    title="{{stepThreeOther.property.file[i].fileName}}" class="photo" (click)="image_click(3, i )">
                </div>
              </div>

              <div class="non_image">
                <input type="file" class="form-control non_image_fileDrop" #fileDropRef id="myfile" name="myfile"
                  multiple (change)="getFileDetails(3, $event)" [(ngModel)]="file3_2" accept=".jpg,.png">
                <label class="form-control non_image_text" for="fileDropRef"><img
                    src="../../../../../assets/img/add-icon-pass.svg" class="icon_add"></label>

              </div>
            </div>
          </div>


          <div class="input_upload">
            <input type="file" class="form-control fileDrop" #fileDropRef id="myfile" name="myfile" multiple
              (change)="getFileDetails(3, $event)" [(ngModel)]="file3_1" accept=".jpg,.png" style="width: 526px">
            <label class="form-control input_upload_label" for="fileDropRef"><img
                src="../../../../../assets/img/upload-icon.png" style="margin-bottom: 5px;">
              เลือกรูปภาพที่ต้องการอัปโหลดหรือลากและวางไฟล์รูปภาพที่นี่</label>
          </div>


        </div>

      </div>
    </div>

  </div>
  <br>

  <!-- ----------------------------------------- ประเด็นพิจารณาอื่นๆ -------------------------------------------------- -->
  <div class="row">
    <div class="col-12">
      <p class="head-detal">ประเด็นพิจารณาอื่นๆ</p>
    </div>
    <div class="mainText">
      <div class="textarea-container">


        <!-- <div placeholder="ระบุรายละเอียดวัตถุประสงค์ของผลิตภัณฑ์ " contenteditable="true"
        [innerHTML]="this.textareaForm.get('otherText').value"
        style="min-height: 120px; max-width: auto; padding-top: 7px;" id="otherText"
        (ngModelChange)="changeSaveDraft()"></div> -->

        <textarea
          style="resize: vertical; border:none;width:100%;outline: 0px solid transparent;font-size:16px;color:#2e2d2d"
          (keyup)="autogrow(4)" rows="5" (click)="autogrow(4)" type="text" id="otherText"
          [(ngModel)]="stepThreeOther.otherText" (ngModelChange)="changeSaveDraft()" #description="ngModel"
          name="otherText" required></textarea>
        <div style="position: relative;">

          <div class="image_row">
            <div class="row image_col">
              <div class="unnon_image_out" *ngFor="let item of image4; index as i">
                <img src="../../../../../assets/img/circle-icon.png" class="circle_image" (click)="delete_image(4, i )">
                <div class="unnon_image">
                  <img [src]="image4[i]" alt="{{stepThreeOther.other.file[i].fileName}}"
                    title="{{stepThreeOther.other.file[i].fileName}}" class="photo" (click)="image_click(4, i )">
                </div>
              </div>

              <div class="non_image">
                <input type="file" class="form-control non_image_fileDrop" #fileDropRef id="myfile" name="myfile"
                  multiple (change)="getFileDetails(4, $event)" [(ngModel)]="file4_2" accept=".jpg,.png">
                <label class="form-control non_image_text" for="fileDropRef"><img
                    src="../../../../../assets/img/add-icon-pass.svg" class="icon_add"></label>

              </div>
            </div>
          </div>

          <div class="input_upload">
            <input type="file" class="form-control fileDrop" #fileDropRef id="myfile" name="myfile" multiple
              (change)="getFileDetails(4, $event)" [(ngModel)]="file4_1" accept=".jpg,.png" style="width:526px">
            <label class="form-control input_upload_label" for="fileDropRef"><img
                src="../../../../../assets/img/upload-icon.png" style="margin-bottom: 5px;">
              เลือกรูปภาพที่ต้องการอัปโหลดหรือลากและวางไฟล์รูปภาพที่นี่</label>
          </div>

        </div>
        <!-- <textarea class="form-control" id="exampleFormControlTextarea3" rows="enter"
          placeholder="ระบุรายละเอียดประเด็นพิจารณาอื่นๆ" style="height: 261px;" [(ngModel)]="stepThreeOther.otherText"
          (ngModelChange)="changeSaveDraft()">
      </textarea> -->
      </div>
    </div>

  </div>
  <br>


  <!-- ----------------------------------------- อัปโหลดเอกสาร -------------------------------------------------- -->
  <div [ngStyle]="{'display': template_manage.caaStatus === 'show' ? 'none' : '' }">
    <br>
    <div class="typeofcollateral">
      <p class="head-detal">อัปโหลดเอกสาร</p>
      <div class="dropzone">
        <input class="form-control" type="file" #fileDropRef id="fileDropRef" multiple (change)="onSelectFile($event)"
          [(ngModel)]="fileAttachments" accept=".doc,.docx,.xml,application/msword,application/vnd.openxmlformats-officedocument.wordprocessingml.document,
          application/vnd.openxmlformats-officedocument.presentationml.presentation,application/pdf,
          application/vnd.openxmlformats-officedocument.spreadsheetml.sheet,
          .jpg,.png" />
        <!-- accept="application/pdf" -->
        <img src="../../../../../assets/img/upload-icon.png" style="margin-bottom: 5px;" />
        <a style="font-size: 18px; color: #00a6e6;"
          for="fileDropRef">&nbsp;เลือกเอกสารที่ต้องการอัปโหลดหรือลากและวางไฟล์เอกสารที่นี่</a>
      </div>
    </div>
    <br />
    <div class="row">
      <div class="col-12 table_files">
        <table mat-table [dataSource]="dataSource_file">
          <!-- Position Column -->
          <ng-container matColumnDef="name">
            <th mat-header-cell *matHeaderCellDef>ชื่อไฟล์</th>
            <td mat-cell *matCellDef="let element">{{ element.fileName }}</td>
          </ng-container>

          <!-- Name Column -->
          <ng-container matColumnDef="size">
            <th mat-header-cell *matHeaderCellDef>ขนาดไฟล์</th>
            <td mat-cell *matCellDef="let element"> {{ (element.fileSize / 1024).toFixed(2) + " KB" }}</td>
          </ng-container>

          <!-- Name Column -->
          <ng-container matColumnDef="delete">
            <th mat-header-cell *matHeaderCellDef></th>
            <td mat-cell *matCellDef="let element; let index = index">
              <a class="download_file" *ngIf="downloadfile_by[index] === 'path'"
                (click)="downloadFile(element.path)">ดาวน์โหลดไฟล์</a>
              <a class="download_file" *ngIf="downloadfile_by[index] === 'base64'"
                (click)="downloadFile64(element)">ดาวน์โหลดไฟล์</a>
              <a class="pipe">|</a>
              <a class="delete_file" (click)="delete_mutifile(element, index)">ลบไฟล์</a>
            </td>
          </ng-container>

          <tr mat-header-row *matHeaderRowDef="displayedColumns_file"></tr>
          <tr mat-row *matRowDef="let row; columns: displayedColumns_file"></tr>
        </table>
      </div>
    </div>
  </div>


</div>
<!------------------------------------------------- end validate === true ------------------------------------------------>


<!-- --------------------------------------------Over multi files Size------------------------------------------------ -->
<div style="display: none;">
  <a id="testttt" data-toggle="modal" data-target="#exampleModal">
    open
  </a>
</div>

<!-- Modal -->
<div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
  aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content" style=" background-color: white;">
      <div class="col-12 modal-header" style="
          text-align: center;
          height: 56px;
          padding: 12px;
          background-color: rgba(0, 110, 149, 0.1);
        ">
        <div class="col-12" style="
            text-align: center;
            display: flex;
            align-items: center;
            justify-content: center;
          ">
          <img src="assets/img/Alarm-blue.svg" width="30" height="30" />&nbsp;
          <span style="font-size: 18px; color: #006e95;" class="modal-title" id="exampleModalLabel">
            มีบางไฟล์ใหญ่เกินขนาดที่รับรองได้
          </span>
        </div>
        <img src="assets/img/x.png" width="10" height="10" data-dismiss="modal"
          style="position: absolute; right: 10px;cursor:pointer" />
      </div>
      <div class="modal-body" style="text-align: left; padding: 4%;word-wrap:break-word">
        <a style="color:#2e2d2d">ไม่สามารถอัพโหลดไฟล์ต่อไปนี้ได้</a><br />
        <div *ngFor="let item of FileOverSize" style="color:#2e2d2d">-&nbsp;{{ item }}</div>
      </div>
      <br />
      <div class="mb-3" style="text-align: center;">
        <button type="button" class="btn btn-primary" data-dismiss="modal" style="
            justify-items: center !important;
            background-color: #00a4e4;
            width: 150px;
          ">
          ตกลง
        </button>
      </div>
    </div>
  </div>
</div>
<!-- ------------------------------------------- End Over multi files Size ----------------------------------------------- -->


<!------------------------------------------------- validate === false ------------------------------------------------>
<div style="padding-left: 10px;"
  *ngIf="stepThreeOther['validate'] === false || template_manage.pageShow === 'executive'">
  <!-- ----------------------------------------- ประเภทผลิตภัณฑ์ -------------------------------------------------- -->
  <div class="row">
    <div class="col-12">
      <p class="head-detal">ประเภทผลิตภัณฑ์</p>
    </div>
    <div class="col-12">
      <hr style="margin-top: 0px;margin-bottom: 20px;">
    </div>
    <div class="col-12">
      <div class="row" class="sub_body">
        <div class="col-12">
          {{stepThreeOther.productText}}
        </div>
        <div class="col-12">
          <div class="image_row">
            <div class="row image_col">
              <div class="unnon_image_out" *ngFor="let item of image1; index as i">
                <!-- <img src="../../../../../assets/img/circle-icon.png" class="circle_image" (click)="delete_image(1, i )"> -->
                <div class="unnon_image">
                  <img [src]="image1[i]" alt="{{stepThreeOther.product.file[i].fileName}}"
                    title="{{stepThreeOther.product.file[i].fileName}}" class="photo" (click)="image_click(1, i )">
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <br>

  <!-- ----------------------------------------- คู่แข่ง (ผลิตภัณฑ์และ Pricing) -------------------------------------------------- -->
  <div class="row">
    <div class="col-12">
      <p class="head-detal">กลุ่มเป้าหมาย</p>
    </div>
    <div class="col-12">
      <hr style="margin-top: 0px;margin-bottom: 20px;">
    </div>
    <div class="col-12">
      <div class="row" class="sub_body">
        <div class="col-12">
          {{stepThreeOther.targetText}}
        </div>
        <div class="col-12">
          <div class="image_row">
            <div class="row image_col">
              <div class="unnon_image_out" *ngFor="let item of image2; index as i">
                <!-- <img src="../../../../../assets/img/circle-icon.png" class="circle_image" (click)="delete_image(2, i )"> -->
                <div class="unnon_image">
                  <img [src]="image2[i]" alt="{{stepThreeOther.target.file[i].fileName}}"
                    title="{{stepThreeOther.target.file[i].fileName}}" class="photo" (click)="image_click(2, i )">
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <br>

  <!-- ----------------------------------------- คุณสมบัติลูกค้า -------------------------------------------------- -->
  <div class="row">
    <div class="col-12">
      <p class="head-detal">คุณสมบัติลูกค้า</p>
    </div>
    <div class="col-12">
      <hr style="margin-top: 0px;margin-bottom: 20px;">
    </div>
    <div class="col-12">
      <div class="row" class="sub_body">
        <div class="col-12">
          {{stepThreeOther.propertyText}}
        </div>
        <div class="col-12">
          <div class="image_row">
            <div class="row image_col">
              <div class="unnon_image_out" *ngFor="let item of image3; index as i">
                <!-- <img src="../../../../../assets/img/circle-icon.png" class="circle_image" (click)="delete_image(3, i )"> -->
                <div class="unnon_image">
                  <img [src]="image3[i]" alt="{{stepThreeOther.property.file[i].fileName}}"
                    title="{{stepThreeOther.property.file[i].fileName}}" class="photo" (click)="image_click(3, i )">
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <br>

  <!-- ----------------------------------------- ประเด็นพิจารณาอื่นๆ -------------------------------------------------- -->
  <div class="row">
    <div class="col-12">
      <p class="head-detal">ประเด็นพิจารณาอื่นๆ</p>
    </div>
    <div class="col-12">
      <hr style="margin-top: 0px;margin-bottom: 20px;">
    </div>
    <div class="col-12">
      <div class="row" class="sub_body">
        <div class="col-12">
          {{stepThreeOther.otherText}}
        </div>
        <div class="col-12">
          <div class="image_row">
            <div class="row image_col">
              <div class="unnon_image_out" *ngFor="let item of image4; index as i">
                <!-- <img src="../../../../../assets/img/circle-icon.png" class="circle_image" (click)="delete_image(4, i )"> -->
                <div class="unnon_image">
                  <img [src]="image4[i]" alt="{{stepThreeOther.other.file[i].fileName}}"
                    title="{{stepThreeOther.other.file[i].fileName}}" class="photo" (click)="image_click(4, i )">
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <br>


  <!-- ----------------------------------------- อัปโหลดเอกสาร -------------------------------------------------- -->
  <div class="row" *ngIf="template_manage.pageShow !== 'executive'">
    <div class="col-12 table_files">
      <br>
      <table mat-table [dataSource]="dataSource_file">
        <!-- Position Column -->
        <ng-container matColumnDef="name">
          <th mat-header-cell *matHeaderCellDef>ชื่อไฟล์</th>
          <td mat-cell *matCellDef="let element">{{ element.fileName }}</td>
        </ng-container>

        <!-- Name Column -->
        <ng-container matColumnDef="size">
          <th mat-header-cell *matHeaderCellDef>ขนาดไฟล์</th>
          <td mat-cell *matCellDef="let element">{{ (element.fileSize / 1024).toFixed(2) + " KB" }}</td>
        </ng-container>

        <!-- Name Column -->
        <ng-container matColumnDef="delete">
          <th mat-header-cell *matHeaderCellDef></th>
          <td mat-cell *matCellDef="let element; let index = index">
            <a class="download_file" (click)="downloadFile(element.path)">ดาวน์โหลดไฟล์</a>
          </td>
        </ng-container>

        <tr mat-header-row *matHeaderRowDef="displayedColumns_file"></tr>
        <tr mat-row *matRowDef="let row; columns: displayedColumns_file"></tr>
      </table>
    </div>
  </div>


</div>
<!------------------------------------------------- end validate === false ------------------------------------------------>


<!--------------------------------------------------- The Modal -------------------------------------------------------- -->
<div id="myModal3_6" class="modal">
  <span class="close cursor" (click)="closeModal()"><img src="../../../../../assets/img/close-modal.png"></span>
  <div style="justify-content: center;">
    <div class="modal-content" *ngIf="showModel">
      <img src="{{modalImage[modalmainImageIndex]}}" alt="{{modalImagedetail[modalmainImageIndex].name}}"
        title="{{modalImagedetail[modalmainImageIndex].name}}" class="modal-image">
    </div>
    <br>
    <div>
      <div class="d-flex modal-image-detail" *ngIf="showModel">
        <div *ngFor="let item of modalImage; index as i">
          <img src="{{modalImage[i]}}" alt="{{modalImagedetail[i].name}}" title="{{modalImagedetail[i].name}}"
            [ngClass]="{'modal-image-gallery': i !== modalmainImageIndex, 'modal-image-gallery-select':  i === modalmainImageIndex}"
            (click)="modalmainImageIndex = i">
        </div>
      </div>
    </div>
  </div>
  <br><br><br><br>
</div>


<!-- <div class="row" [ngStyle]="{'display': pageLast !== 'last' || template_manage.caaStatus === 'show' ? 'none' : '' }">
  <div class="col-12" [ngStyle]=" {'display' : stepThreeOther['validate'] === false? 'none' : '' }">
    <button class="btn btn-outline-secondary button-next2" type="button" (click)="next_step('next')">
      ถัดไป
    </button>
  </div>
</div>

<br><br> -->
<!-- repeat === false -->
<!-- <div class="row" [ngStyle]="{'display': pageLast !== 'last' ?  'none' : '' }"
  *ngIf="template_manage.pageShow !== 'executive'">
  <div class="col-12" *ngIf=" stepThreeOther['parentRequestId'] === null && repeat === false ">
    <button class="btn btn-outline-secondary button-next2" type="button" (click)="next_step('next')">
      ถัดไป
    </button>
  </div>
</div> -->

<!-- 
  <div class="row" [ngStyle]="{'display': template_manage.caaStatus === 'show'|| pageLast !== 'last' ?  'none' : '' }"
  *ngIf="template_manage.pageShow !== 'executive'">
  <div class="col-12" *ngIf=" stepThreeOther['parentRequestId'] === null">
    <br>
    <button class="btn btn-outline-secondary button-next2" type="button" (click)="next_step('next')">
      ถัดไป
    </button>
    <br><br>
  </div>
</div> -->


<!-- ----------------------------------------- next button validate = true-------------------------------------------------- -->
<div style="padding-left: 10px;"
  *ngIf="(stepThreeOther['validate'] === null || stepThreeOther['validate'] === true) && template_manage.pageShow !== 'executive'">
  <div *ngIf="stepThreeOther['parentRequestId'] === null && repeat === false"
    [ngStyle]="{'display':  pageLast === 'last' ? '' : 'none' }">
    <br>
    <div class="row" [ngStyle]="{'display': template_manage.caaStatus === 'show' ? 'none' : '' }">
      <div class="col-12">
        <button class="btn btn-outline-secondary button-next2" type="button" (click)="next_step('next')">ถัดไป</button>
      </div>
    </div>
    <br><br>
  </div>
</div>


<!-- ----------------------------------------- viewNext validate = false -------------------------------------------------- -->
<div style="padding-left: 10px;"
  *ngIf="stepThreeOther['validate'] === false || template_manage.pageShow === 'executive'">
  <br>
  <div class="row" [ngStyle]="{'display':  pageLast === 'last' ? '' : 'none' }"
    *ngIf="stepThreeOther['parentRequestId'] === null && repeat === false"
    [ngStyle]="{ display: template_manage.caaStatus === 'show' || template_manage.pageShow === 'executive'? 'none' : '' }">
    <div class="col-12" [ngStyle]="{'display': template_manage.caaStatus === 'show' ? 'none' : '' }">
      <button class="btn btn-outline-secondary button-next2" type="button" (click)="viewNext()">ถัดไป</button>
    </div>
    <br><br>
  </div>
</div>